[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLHelpDatabase.AutoRegister

Indicates if the HTML help database is automatically registered at run-time.

## Declaration

Source position: lazhelphtml.pas line 80

`published property THTMLHelpDatabase.AutoRegister : Boolean;`

## Description

AutoRegister is a published Boolean property which indicates if the HTML help database is automatically registered at run-time. Changing the value in AutoRegister causes the RegisterSelf or UnregisterSelf methods to be called. RegisterSelf is called when the property is True; otherwise UnregisterSelf is called.

## See also

THelpDatabase.RegisterSelf
THelpDatabase.UnregisterSelf
THelpDatabase.ID
THelpDatabase.GetLocalizedName